<a href="./README.md"><img src="https://img.shields.io/badge/🇬🇧English-e9e9e9" width="100"></a>
<a href="./READMECN.md"><img src="https://img.shields.io/badge/🇨🇳中文简体-0b8cf5" width="100"></a>
## Colorista调色师
<a href="https://space.bilibili.com/1220061774">
  <img src="https://github.com/user-attachments/assets/7bf4d809-ae68-4bfc-a49f-bdefc1f149d0" alt="image" width="150">
</a>

专为调色师设计的快捷调色工具，允许一键构建AGX调色面板，并直接在视口中实时预览效果

## 特性

·一键进入实时色彩调整模式

·直接可用的专用调色板面板

·支持中文和英文

## 使用

### AGX色彩空间去灰系列

**AGX去灰**：适用于AGX色彩空间，开启后去除灰蒙，显著提升画面的通透感，推荐参数拉满。

**饱和度去灰权重**：AGX去灰开启后调节。0时AGX去灰只影响亮度，1时同时影响饱和度，用于避免画面过度饱和。

**柔和去灰/暴力去灰**：需开启AGX去灰后使用，柔和去灰与暴力去灰是不同的去灰方案，暴力模式让画面更加通透，但可能过于刺眼。

<a>
  <img src="https://github.com/user-attachments/assets/e6505ef4-7c30-4bc8-8fec-52024dfcc412" alt="image" width="500">
</a>

### 色温/色调/曝光度

**色温**：调节画面冷暖，向左冷色偏蓝，向右暖色偏黄，适合调节整体氛围。

<a>
  <img src="https://github.com/user-attachments/assets/1801c48d-887a-4956-ae2a-e30090abaa7a" alt="image" width="500">
</a>


**色调**：调节画面偏绿或偏紫，适合校正色彩平衡，确保画面呈现自然色调。

**曝光度**：调整整体亮度，适用于修正画面过曝或欠曝，调整画面整体光线。

### 高光/阴影/白色/黑色

**高光**：影响亮部最亮区域，范围较小，但增强的强度比白色更强，适合精细调整。

**阴影**：调节暗部最暗区域的亮度，范围小但强度更明显，比黑色影响更强。

**白色**：控制亮部区域的整体明度，范围大但效果较温和，适合整体亮部调节。

**黑色**：调节画面暗部的整体明度，范围广，效果柔和，用于控制整个暗部的亮暗程度。

### 饱和度系列

**智能饱和度**：自动调节饱和度，部分区域增强，部分区域降低。如果画面饱和度符合预期，则参数可能不起作用。

**自然饱和度**：优先增强饱和度较低的区域，使画面颜色更自然，适合处理偏灰的区域。

**对比饱和度**：优先增强饱和度较高的区域，突出主色调，使画面更具视觉冲击力。

**饱和度**：控制整体饱和度，调整画面颜色的浓淡，是画面色彩调节的重要参数。

### 对比度明度系列

**智能对比度**：根据画面的对比度分布调整。向左自动减弱对比度，不同区域的降低强度不同；向右增强对比，不同区域增强的程度不同。如果对比度已符合预期，则无明显变化。

**对比度**：手动调整画面的明暗对比度，增强画面层次感，使画面更加立体。

**清晰度**：控制画面清晰或模糊

#### 去色辉光

**去色**：左侧展示画面的饱和度分布黑白图，便于观察饱和度分布，右侧展示明度分布图，用于观察画面亮度的整体情况。

**辉光强度**：控制场景的辉光效果，AGX去灰后开启辉光效果会更好，但并不强制要求。

**辉光阈值**：控制画面亮度到什么程度会产生辉光，阈值越低，低亮度区域也能出现辉光。

## 限制

·专为AGX设计，其他模式可能效果稍差

·不建议使用不正确的ACES设置

## 制作者


[朔朔的搅拌机日常](https://space.bilibili.com/1220061774) 为调色板提供了主要的节点生成，这是该工具诞生的关键。

[KarryCharon](https://space.bilibili.com/319473039) 已完成该工具的代码开发。

[BlenderCN-LJ](https://space.bilibili.com/35723238)负责调试、更改，书写文档和安利此工具。
